##### basic_writable_pipe::operator= (1 of 2 overloads)

Move-assign a `basic_writable_pipe` from another.

    basic_writable_pipe & operator=(
        basic_writable_pipe && other);

This assignment operator moves a pipe from one object to another.

###### Parameters

other

  The other `basic_writable_pipe` object from which the move will occur.

###### Remarks

Following the move, the moved-from object is in the same state as if constructed using the `basic_writable_pipe(const executor_type&)` constructor.